import request from '../request/index.js';

//查询活动列表
export function queryActivityList(data) {
  return request({
    url: 'activity/applet/activity/list',
    method: 'get',
    data,
    noToken: true
  });
}
//查询活动详情
export function queryActivityDetail(data) {
  return request({
    url: 'activity/applet/activity/detail',
    method: 'get',
    data,
    noToken: true
  });
}
//查询抽奖次数
export function queryLuckyNum(data) {
  return request({
    url: 'activity/applet/activity/lucky/num',
    method: 'get',
    data,
		noToken: true
  });
}
//查询中奖结果
export function queryLuckyResult(data) {
  return request({
    url: 'activity/applet/activity/lucky/result',
    method: 'get',
    data,
		noToken: true
  });
}
//录入中奖结果
export function saveWinner(data) {
  return request({
    url: 'activity/applet/activity/winner/save',
    method: 'POST',
    data,
		noToken: true
  });
}
//核销
export function receiveWinner(data) {
  return request({
    url: 'activity/applet/activity/winner/receive',
    method: 'POST',
    data,
		noToken: true
  });
}
//查询中奖记录
export function getLuckyRecord(data) {
  return request({
    url: 'activity/applet/activity/lucky/record',
    method: 'get',
    data,
		noToken: true
  });
}

//查询中奖记录
export function canRecieveGift(data) {
  return request({
    url: 'activity/applet/activity/receive/user',
    method: 'get',
    data,
		noToken: true
  });
}

//查询中奖信息
export function queryWinnerInfo(data) {
  return request({
    url: 'activity/applet/activity/winner/info',
    method: 'get',
    data,
		noToken: true
  });
}

//查询助力信息
export function queryHelpInfo(data) {
  return request({
    url: 'activity/applet/activity/help/info',
    method: 'get',
    data,
		noToken: true
  });
}

//保存助力信息
export function saveHelpInfo(data) {
  return request({
    url: 'activity/applet/activity/help/save',
    method: 'post',
    data,
		noToken: true
  });
}


//微信登录获取手机号
export function wxLogin(data) {
  return request({
    url: 'activity/applet/activity/wx/login',
    method: 'post',
    data,
		noToken: true
  });
}


